/* FILE: odlFieldList.h
 *
 * PROGRAM: Utility module
 *
 * DESCRIPTION: This file contains header information for the odlFieldList
 *     module.
 *
 * RCS INFO:
 *
 *	$Id: 
*/
#ifndef _odlFieldList_header
#define _odlFieldList_header


#include "odldef.h"
#include "odlinter.h"


/* ---------------------------------------------------------------------*/

/* DATA DECLARATIONS & TYPEDEFS:
 *
*/

struct descList
{

   char *fieldName;
   int  fieldMandatory;
   int  fieldRepeat;
   char *fieldPath;
   char *pathType;
  };

typedef struct descList *descList;

struct groupList
{
	char *groupPath;
	char *groupType;
	int groupMandatory;
	int groupRepeat;
	lstLIST groupFields;

};

typedef struct groupList *groupList;

/* ---------------------------------------------------------------------*/


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in strUtilities.c but which are intended for use 
 *     elsewhere.
*/

 
int buildFieldList(AGGREGATE pAgg,lstLIST gList);
void printFldList(lstLIST fld);
int fieldDesc(AGGREGATE pAgg);
void buildOdlPath(AGGREGATE pStart, AGGREGATE pStop ,char *pPath, char *pType);
#endif
